Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.descriptors
Class FlattenedContainmentListPropertyValue

    java.lang.Object
      org.eclipse.gmf.runtime.emf.ui.properties.descriptors.EObjectContainmentListPropertyValue
          org.eclipse.gmf.runtime.diagram.ui.properties.descriptors.FlattenedContainmentListPropertyValue

All Implemented Interfaces:
  IPropertySource

    public class FlattenedContainmentListPropertyValue

extends EObjectContainmentListPropertyValue

Property source object for containment lists, which flattens the presentation of the propeties. It does not display each individual object as a property, but rather takes properties of all the objects on the list and displays them all as if they were properties of one object (the list). Use for Styles containment list.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.emf.ui.properties.descriptors.EObjectContainmentListPropertyValue
`descriptors, labelProvider, propertiesProvider, target`

Constructor Summary
`FlattenedContainmentListPropertyValue(org.eclipse.emf.ecore.util.EObjectContainmentEList target)` Create an instance of the `FlattenedContainmentListPropertyValue`

Method Summary
`protected void` `createDescriptor(org.eclipse.emf.ecore.EObject object)` Create and cache property descriptors for the object on the list
`java.lang.Object` `getPropertyValue(java.lang.Object id)`
`void` `setPropertyValue(java.lang.Object id, java.lang.Object value)`

Methods inherited from class org.eclipse.gmf.runtime.emf.ui.properties.descriptors.EObjectContainmentListPropertyValue
`getEditableValue, getLabelProvider, getPropertyDescriptors, getTarget, isPropertySet, resetPropertyValue, setLabelProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlattenedContainmentListPropertyValue

    public FlattenedContainmentListPropertyValue(org.eclipse.emf.ecore.util.EObjectContainmentEList target)

  Create an instance of the `FlattenedContainmentListPropertyValue`

  Parameters:
    `target` - - contaiment list

Method Detail

### createDescriptor

    protected void createDescriptor(org.eclipse.emf.ecore.EObject object)

  Create and cache property descriptors for the object on the list

  Overrides:
    `createDescriptor` in class `EObjectContainmentListPropertyValue`
  Parameters:
    `object` - - object on the containment list

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object id)

  Specified by:
    `getPropertyValue` in interface `IPropertySource`
  Overrides:
    `getPropertyValue` in class `EObjectContainmentListPropertyValue`

### setPropertyValue

    public void setPropertyValue(java.lang.Object id,
                                 java.lang.Object value)

  Specified by:
    `setPropertyValue` in interface `IPropertySource`
  Overrides:
    `setPropertyValue` in class `EObjectContainmentListPropertyValue`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.